#!/usr/bin/perl
=pod
-------------------------------------------------------------------------------
Nom : ANDREA F. MONACO
  
BAO1_regex.pl -- extrait le contenu textuel des balises <title> et 
<description> d'un fichier XML-RSS en entrée et produit deux sorties: 
  
 - un fichier texte brut
 - un fichier XML

Mode d emploi: perl script.pl fil_rss.xml
-------------------------------------------------------------------------------
=cut;

use strict;

my $fichier = $ARGV[0];

open my $rss, "<:encoding(iso-8859-1)", $fichier;      
open my $txt, ">:encoding(utf-8)", "sortie.txt";  
open my $xml, ">:encoding(utf-8)", "sortie.xml";

my $tout_le_texte = "";
while (my $ligne = <$rss>){
    chomp $ligne;
    $ligne =~ s/\r//g;
    #$tout_le_texte = $tout_le_texte . $ligne . " ";
    print $tout_le_texte;
    #my $reponse = <STDIN>;
}
close $rss;

print $xml "<?xml version='1.0' encoding='UTF-8'?>\n";
print $xml "<file>\n";
my $count = 1;
while ($tout_le_texte =~ /<item>.*?<title>([^<]*)<\/title>.*?<description>([^<]*)<\/description>.*?<\/item>/g) {

    my $title = $1;
    my $description = $2;

    print $txt "TITRE : $title\n" ;
    print $txt "DESCRIPTION: $description\n";
    print $xml "\t<item n='$count'>\n" ;
    print $xml "\t\t<titre>$title</titre>\n" ;
    print $xml "\t\t<description>$description</description>\n";
    print $xml "\t</item>\n";
    print $count;
    $count++;

}
print $xml "</file>\n";
close $txt;
close $xml;